## iptables-netflow 2.3

=== openwrt/Makefile ===
include $(TOPDIR)/rules.mk
include $(INCLUDE_DIR)/kernel.mk

PKG_NAME:=ipt-netflow
PKG_RELEASE:=2

PKG_SOURCE_URL:=https://github.com/aabc/$(PKG_NAME).git
PKG_VERSION:=2.2
PKG_SOURCE_VERSION:=v$(PKG_VERSION)

#TO BUILD development version uncomment 2 rows below and remove patches
#PKG_VERSION:=$(shell (git ls-remote $(PKG_SOURCE_URL) | grep refs/heads/master | cut -f 1 | head -c 7))
#PKG_SOURCE_VERSION:=HEAD

PKG_SOURCE_PROTO:=git
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz

PKG_SOURCE_SUBDIR:=$(PKG_NAME)-$(PKG_VERSION)

PKG_BUILD_DIR := $(KERNEL_BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_DEPENDS:=iptables

include $(INCLUDE_DIR)/package.mk


define KernelPackage/ipt-netflow
	SECTION:=net
	CATEGORY:=Network
	SUBMENU:=Netflow
	TITLE:=Netflow iptables module for Linux kernel
	URL:=http://ipt-netflow.sourceforge.net/
	FILES:=$(PKG_BUILD_DIR)/ipt_NETFLOW.ko
	DEPENDS:=+iptables +iptables-mod-netflow
endef


define Package/iptables-mod-netflow
	SECTION:=net
	CATEGORY:=Network
	SUBMENU:=Netflow
	TITLE:=Netflow iptables module for Linux kernel
	URL:=http://ipt-netflow.sourceforge.net/
	#DEPENDS:=+kmod-ipt-netflow
	DEPENDS:=+iptables
endef

CONFIGURE_ARGS:= \
	--kdir="$(LINUX_DIR)" 

define Package/iptables-mod-netflow/config
	menu "Configuration"
		depends on PACKAGE_iptables-mod-netflow
	config PACKAGE_iptables-mod-netflow_natevents
		bool "enables natevents support"
		default n
	config PACKAGE_iptables-mod-netflow_snmp-rules
		bool "enables SNMP-index conversion rules"
		default n
	config PACKAGE_iptables-mod-netflow_macaddress
		bool "enables MAC address for v9/IPFIX"
		default n
	config PACKAGE_iptables-mod-netflow_vlan
		bool "enables VLAN Ids for v9/IPFIX"
		default n
	config PACKAGE_iptables-mod-netflow_direction
		bool "enables flowDirection(61) Element"
		default n
	config PACKAGE_iptables-mod-netflow_sampler
		bool "enables Flow Sampling"
		default n
	config PACKAGE_iptables-mod-netflow_aggregation
		bool "enables aggregation rules"
		default n
	config PACKAGE_iptables-mod-netflow_promisc
		bool "enables promisc hack mode"
		default n
	config PACKAGE_iptables-mod-netflow_promisc-mpls
		bool "decapsulate MPLS in promisc mode"
		default n
	config PACKAGE_iptables-mod-netflow_physdev
		bool "enables physdev reporting"
		default n
	config PACKAGE_iptables-mod-netflow_physdev-override
		bool "to override interfaces"
		default n
	config PACKAGE_iptables-mod-netflow_snmp-agent
		bool "disables net-snmp agent"
		default y
	config PACKAGE_iptables-mod-netflow_dkms
		bool "disables DKMS support completely"
		default y
	config PACKAGE_iptables-mod-netflow_dkms-install
		bool "no DKMS install but still create dkms.conf"
		default n
	endmenu
endef

CONFIGURE_ARGS += \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_natevents),--enable-natevents) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_snmp-rules),--enable-snmp-rules) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_macaddress),--enable-macaddress) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_vlan),--enable-vlan) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_direction),--enable-direction) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_sampler),--enable-sampler) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_aggregation),--enable-aggregation) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_promisc),--enable-promisc) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_promisc-mpls),--promisc-mpls) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_physdev),--enable-physdev) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_physdev-override),--enable-physdev-override) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_snmp-agent),--disable-snmp-agent) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_dkms),--disable-dkms) \
	$(if $(CONFIG_PACKAGE_iptables-mod-netflow_dkms-install),--disable-dkms-install) 

#TODO: --enable-sampler=hash --promisc-mpls=N


$(eval $(call KernelPackage,ipt-netflow))

$(eval $(call Package,kmod-ipt-netflow))

define Package/iptables-mod-netflow/install
	$(MAKE) -C $(PKG_BUILD_DIR) DESTDIR=$(1) linstall
	#TODO: snmp install, dkms install
endef

$(eval $(call BuildPackage,iptables-mod-netflow))

=== debian/changelog ===
iptables-netflow (2.3-5) unstable; urgency=medium

  * Add missing dependency (not build-dependency) on libc6-dev for DKMS
    based kernel module compilation. (Hopefully finally closes: #904490)

 -- Axel Beckert <abe@debian.org>  Fri, 27 Jul 2018 19:47:20 +0200

iptables-netflow (2.3-4) unstable; urgency=medium

  * Set Architecture of iptables-netflow-dkms from any to linux-any.
  * Add a debian/.gitignore and a debian/gbp.conf file.
  * Declare compliance with Debian Policy 4.1.5. (No changes necessary.)
  * Fix typo in long package description of irqtop.
  * Add some more data to debian/upstream/metadata.
  * dkms.conf + debian/rules: --from-dkms-conf needs to come as first
    parameter, otherwise it's a no-op. (Closes: #904490)

 -- Axel Beckert <abe@debian.org>  Wed, 25 Jul 2018 22:10:05 +0200

iptables-netflow (2.3-3) unstable; urgency=low

  * Fix missing words and typos in README.source and repharse it a bit.
  * Set Rules-Requires-Root to "no".
  * Fix building twice in a row by running "make lclean" instead of
    "dh_auto_clean".
  * Add a README.Debian with a compact explanation how to get ipt_NETFLOW
    up and running.
  * Declare compliance with Debian Policy 4.1.4. (No changes necessary.)
  * Fix typos in debian/upstream/metadata. Thanks DUCK!
  * Fix (upstream :-) typos in irqtop man page and package description.
    Thanks lintian!

 -- Axel Beckert <abe@debian.org>  Sat, 28 Apr 2018 20:59:51 +0200

iptables-netflow (2.3-2) unstable; urgency=low

  * Fix building of iptables target plugin.
    + Add patch to disable kernel check in configure script if no dkms is
      used (i.e. at package build time).
  * Add patch to properly pass hardening flags to iptables target plugin.

 -- Axel Beckert <abe@debian.org>  Sat, 24 Mar 2018 02:22:26 +0100

iptables-netflow (2.3-1) unstable; urgency=low

  * Initial release (Closes: #620511)

 -- Axel Beckert <abe@debian.org>  Thu, 22 Mar 2018 22:59:08 +0100

=== debian/control ===
Source: iptables-netflow
Section: kernel
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-exec,
               dkms,
               libxtables-dev,
               pkg-config
Standards-Version: 4.1.5
Homepage: https://github.com/aabc/ipt-netflow
Vcs-Git: https://salsa.debian.org/debian/iptables-netflow.git
Vcs-Browser: https://salsa.debian.org/debian/iptables-netflow
Rules-Requires-Root: no

Package: iptables-netflow-dkms
Architecture: linux-any
Depends: dkms,
         libc6-dev,
         libxtables-dev,
         pkg-config,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: iptables
Suggests: irqtop,
          nfdump
Description: iptables target which generates netflows
 ipt-netflow is an iptables/netfilter target which generates traffic
 statistics in NetFlow v5 and v9 format as well as in IPFIX format.
 .
 It provides high performance and scalability. For highest performance
 module could be run without conntrack being enabled in
 kernel. Reported to be able to handle 10Gbit traffic with more than
 1500000 pps with negligible server load (on S5500BC).

Package: irqtop
Section: utils
Architecture: all
Depends: ruby,
         ruby-curses,
         ${misc:Depends}
Recommends: ethtool
Description: Observe IRQ and SoftIRQ in a top-like fashion
 irqtop is a small ruby-written and curses-based utility which shows
 interrupt requests and software interrupts like top does for
 processes, but enhanced with colors.

## iptables-netflow 2.4

=== openwrt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PKG_RELEASE:=2
 
 PKG_SOURCE_URL:=https://github.com/aabc/$(PKG_NAME).git
-PKG_VERSION:=2.2
+PKG_VERSION:=2.4
 PKG_SOURCE_VERSION:=v$(PKG_VERSION)
 
 #TO BUILD development version uncomment 2 rows below and remove patches

=== debian/changelog ===
iptables-netflow (2.4-2ubuntu0.4) focal; urgency=medium

  * No change rebuild in security pocket. LP: #1914279.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Apr 2021 16:07:51 +0100

iptables-netflow (2.4-2ubuntu0.2) focal; urgency=medium

  * Fix redefinition of struct timeval with kernel 5.4 (LP: #1904753)

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 18 Nov 2020 14:56:37 +0000

iptables-netflow (2.4-2ubuntu0.1) focal; urgency=medium

  * Linux 5.8 compatibility (LP: #1899739):
    - debian/patches/0001-Compatibility-with-kernel-5.7.patch
    - debian/patches/0002-Compatibility-with-kernel-5.8.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 14 Oct 2020 07:05:28 +0000

iptables-netflow (2.4-2) unstable; urgency=medium

  * Upload to unstable again.
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Mon, 08 Jul 2019 00:19:16 +0200

iptables-netflow (2.4-1) experimental; urgency=low

  * New upstream release 2.4
    + Compatibility to at least Linux kernel 5.2.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 30 Jun 2019 00:01:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: iptables-netflow
 Section: kernel
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 11~),
                dh-exec,
                dkms,
                libxtables-dev,
                pkg-config
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Homepage: https://github.com/aabc/ipt-netflow
 Vcs-Git: https://salsa.debian.org/debian/iptables-netflow.git
 Vcs-Browser: https://salsa.debian.org/debian/iptables-netflow

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DKMS_CONFIGURE_OPTIONS=\
 --enable-natevents    \
 --enable-snmp-rules   \
 --enable-macaddress   \
 --enable-vlan         \
 --enable-direction    \
 --enable-sampler      \
 --enable-physdev      \
 --enable-promisc      \
 --promisc-mpls

%:
	dh $@ --with dkms

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	dh_auto_configure -- --disable-dkms

override_dh_auto_build:
	dh_auto_build -- libipt_NETFLOW.so libip6t_NETFLOW.so

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/tmp linstall

override_dh_auto_clean:
	[ ! -e Makefile ] || $(MAKE) lclean

override_dh_dkms:
	sed -e 's/`\.\/version.sh`/$(DEB_VERSION_UPSTREAM)/;s/^PRE_BUILD="\(.*\)"/PRE_BUILD="\1 $(DKMS_CONFIGURE_OPTIONS)"/' dkms.conf > debian/dkms
	dh_dkms

## iptables-netflow 2.5

=== openwrt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PKG_RELEASE:=2
 
 PKG_SOURCE_URL:=https://github.com/aabc/$(PKG_NAME).git
-PKG_VERSION:=2.4
+PKG_VERSION:=2.5
 PKG_SOURCE_VERSION:=v$(PKG_VERSION)
 
 #TO BUILD development version uncomment 2 rows below and remove patches

=== debian/changelog ===
iptables-netflow (2.5-2ubuntu1) groovy; urgency=medium

  * Fix the dkms file we ship, avoding sourcing of external stuff from inside.
    - this fixes dkms autopkgtestsuite (Closes: #966483)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 10:14:46 +0200

iptables-netflow (2.5-2) unstable; urgency=medium

  [ Paolo Pisati ]
  * Fix build with Linux 5.7. (Closes: #960606)

  [ Axel Beckert ]
  * debian/rules: Pass --ipt-bin=/usr/sbin/iptables-legacy to properly
    handle the fact that /usr/bin/iptables is a symlink and might point to
    either version while ipt-netflow only can cope with the legacy
    version.
  * Pass some of the options dh_auto_configure passes automatically to
    ./configure also to DMKS's configure call as it otherwise still gets
    some parts wrong.

 -- Axel Beckert <abe@debian.org>  Wed, 20 May 2020 18:51:26 +0200

iptables-netflow (2.5-1) unstable; urgency=medium

  * New upstream release 2.5
    + Compatibility to at least Linux kernel 5.6.
    + Refresh most patches. (Only offset changes.)
    + Update debian/copyright with reagrds to license clarification of
      IPT-NETFLOW-MIB.my and irqtop.
    + Also install new file gen_compat_def.
  * Mention irctop's relation with iptables-netflow-dkms in the package
    description to clarify why the Homepage header points to the
    ipt-netflow project and add an "Enhances" relation. (Closes: #958941)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
    + Stay on compat level 12 for now to still allow building on buster.
  * Fix path detection issue with recent iptables versions (see #958945).
    Patch upstream configure script to understand some configure options
    passed by debhelper by default: --prefix, --libdir, and --includedir.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Mon, 27 Apr 2020 08:42:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: iptables-netflow
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 11~),
+Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dkms,
                libxtables-dev,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/aabc/ipt-netflow
 Vcs-Git: https://salsa.debian.org/debian/iptables-netflow.git
 Vcs-Browser: https://salsa.debian.org/debian/iptables-netflow
@@ -41,7 +40,12 @@
          ruby-curses,
          ${misc:Depends}
 Recommends: ethtool
+Enhances: iptables-netflow-dkms
 Description: Observe IRQ and SoftIRQ in a top-like fashion
  irqtop is a small ruby-written and curses-based utility which shows
  interrupt requests and software interrupts like top does for
  processes, but enhanced with colors.
+ .
+ irqtop is part of the ipt_netflow project as it has been written for
+ monitoring the usage of the ipt_NETFLOW kernel module, but can be
+ used separately.

## iptables-netflow 2.5.1

=== debian/changelog ===
iptables-netflow (2.5.1-2ubuntu1) impish; urgency=medium

  *  Linux 5.12 support

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 21 May 2021 11:55:34 +0000

iptables-netflow (2.5.1-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * iptables-netflow-dkms: Bump dkms dependency to ensure CC/CXX are set to
    the kernel's compiler.  (Closes: #984862)

 -- Axel Beckert <abe@debian.org>  Sun, 18 Apr 2021 18:29:53 +0200

iptables-netflow (2.5.1-1) unstable; urgency=medium

  * New upstream bugfix release 2.5.1.
    + Drop 0001-Compatibility-with-kernel-5.7.patch, applied upstream.
    + Refresh disable-kernel-check.patch.
  * Declare disable-kernel-check.patch as debian-specific.
  * Add patch to not hardcode default gcc version to avoid compilation
    failures with kernels which can't be compiled with the current gcc.
  * Cherry-pick adfc6318 from upstream to fix compilation with Linux 5.9.

 -- Axel Beckert <abe@debian.org>  Sun, 18 Oct 2020 11:22:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iptables-netflow
 Section: kernel
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dkms,
@@ -15,7 +16,7 @@
 
 Package: iptables-netflow-dkms
 Architecture: linux-any
-Depends: dkms,
+Depends: dkms (>= 2.8.4-3~),
          libc6-dev,
          libxtables-dev,
          pkg-config,

## iptables-netflow 2.6

=== openwrt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PKG_RELEASE:=2
 
 PKG_SOURCE_URL:=https://github.com/aabc/$(PKG_NAME).git
-PKG_VERSION:=2.5
+PKG_VERSION:=2.5.1
 PKG_SOURCE_VERSION:=v$(PKG_VERSION)
 
 #TO BUILD development version uncomment 2 rows below and remove patches

=== debian/changelog ===
iptables-netflow (2.6-7.2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Fix watch file.
  * Drop redundant Rules-Requires-Root: no.

  [ Massimiliano Pellizzer ]
  * Support Linux 6.15  (Closes: #1106550) (LP: #2116328)
    - rename-to-timer_delete_sync-in-Linux-6.15.patch

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Dec 2025 16:09:15 +0100

iptables-netflow (2.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use debhelper-compat (= 13) substitution instead of dh-exec.
  * Remove useless pushd/popd from dkms.conf.  (Closes: #966483)
  * Dump the generated compat_def.h.
  * Update from upstream Git.
  * Fix dkms status invocation.
  * Avoid dkms recursion.
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="3".
  * Fix module build for Linux v4.3.
  * Unexporting find_module() has been backported to Linux v5.10.220.
    (Closes: #1076456, #1088678)
  * Fix module build for Linux v6.11.  (Closes: #1081377)
  * Fix module build for Linux v6.12.  (Closes: #1089498)
  * Work around physindev in nf_bridge_info being replaced by physinif to fix
    module build for Linux v6.8, v6.7.2, v6.6.14, v6.1.75.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Mar 2025 14:32:07 +0100

iptables-netflow (2.6-7) unstable; urgency=medium

  * Fix compilation with Linux kernel 6.8 by replacing strlcpy with
    strscpy.
  * Replace dependencies on pkg-config with pkgconf. Thanks Lintian!
  * Declare compliance with Debian Policy 4.7.0. No changes needed.
  * Bump packaging copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Tue, 21 May 2024 04:18:16 +0200

iptables-netflow (2.6-6) unstable; urgency=medium

  * Add patch to support building with kernel 6.4 based on patches by
    Lukasz Kalamlacki. (Closes: #1038203)
  * Massage upstream dkms.conf to avoid compile time warning. Thanks to
    Andreas Beckmann for the hint.

 -- Axel Beckert <abe@debian.org>  Thu, 06 Jul 2023 06:44:12 +0200

iptables-netflow (2.6-5) unstable; urgency=medium

  [ Axel Beckert ]
  * Import patches from Ubuntu to be able to build against Linux ≥ 6.2.
    + Use-explicit-fallthrough-macro.patch (refreshed)
    + use-get_random_u32_below-instead-of-deprecated-prand.patch
    LP: #2023306
  * Mention man page section of ethtool in irqtop(1). (Closes: #1005512)
  * Refresh cherry-pick_0901f028_fix_building_on_old_kernels.patch to get
    rid of some minor offset.
  * Bump packaging copyright years in debian/copyright.
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)

  [ Helmut Grohne ]
  * Add patch to fix FTCBFS: Use host tools. (Closes: #1024942)

 -- Axel Beckert <abe@debian.org>  Thu, 15 Jun 2023 01:16:23 +0200

iptables-netflow (2.6-4+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Dump the generated compat_def.h.
  * Avoid dkms recursion.
  * Unexporting find_module() has been backported to Linux v5.10.220.
    (Closes: #1076456, #1088678)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Mar 2025 15:45:27 +0100

iptables-netflow (2.6-4) unstable; urgency=medium

  * Acknowledge NMU. Thanks Andreas!
  * Cherry-pick upstream commit 0901f028 "fix building on old kernels".
    (Closes: #1035511)

 -- Axel Beckert <abe@debian.org>  Wed, 10 May 2023 18:22:39 +0200

iptables-netflow (2.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh-sequence-dkms.  (Closes: #1027874)
  * Declare Testsuite: autopkgtest-pkg-dkms.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Jan 2023 11:27:09 +0100

iptables-netflow (2.6-3) unstable; urgency=high

  * Cherry-pick upstream commit 6a55739a to fix build with kernel 5.15 and
    above. (Closes: #1005401, LP: #1951611)
  * Update lintian overrides wrt. tag formatting changes.
  * Update copyright years in debian/copyright. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Mon, 14 Feb 2022 09:21:27 +0100

iptables-netflow (2.6-2) unstable; urgency=high

  * Cherry-pick 66e43041 ("Namespace sk_error_report") from upstream to
    fix module build with kernel 5.14. (Closes: #994883)
  * Update lintian overrides to include line numbers.

 -- Axel Beckert <abe@debian.org>  Thu, 23 Sep 2021 00:45:21 +0200

iptables-netflow (2.6-1) unstable; urgency=medium

  * New upstream release 2.6.
    - Drop add-quoting-needed-by-dh_dkms.patch, applied upstream.
    - Drop cherry-picked patch (upstream commit adfc6318).
    - Refresh remaining patches as needed.
    - Fixes race condition during gen_compat_def on filesystems w/o
      microsecond resolution. (Closes: #972455)
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Bump debhelper-compat to 13.

 -- Axel Beckert <abe@debian.org>  Tue, 24 Aug 2021 23:02:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: iptables-netflow
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-exec,
-               dkms,
+Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-dkms,
                libxtables-dev,
-               pkg-config
-Standards-Version: 4.5.0
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://github.com/aabc/ipt-netflow
 Vcs-Git: https://salsa.debian.org/debian/iptables-netflow.git
 Vcs-Browser: https://salsa.debian.org/debian/iptables-netflow
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: iptables-netflow-dkms
 Architecture: linux-any
 Depends: dkms (>= 2.8.4-3~),
          libc6-dev,
          libxtables-dev,
-         pkg-config,
+         pkgconf,
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: iptables

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ipt-netflow-$1.tar.gz%" \
   https://github.com/aabc/ipt-netflow/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
